الذكاء المنصاتي API
سابستاك واجهة برمجة التطبيقات
توصل Substack إلى ملايين القراء ويدعم أكثر من 5 مليون اشتراك مدفوع عبر النشرات الإخبارية والمقالات والبودكاست والفيديو، مما يجعله مهمًا للقيادة الفكرية والجماهير المملوكة والإيرادات المباشرة إلى القراء.
مرجع API الإصدار: 1.0.0 10 نقاط النهاية المصادقة
عنوان URL الأساسي
https://api.pressmonitor.com/substack/v1 المصادقة
تستخدم جميع الطلبات مصادقة رمز Bearer. أضف رأس Authorization إلى كل استدعاء.
Authorization: Bearer YOUR_TOKEN GET
/feed تغذية
Feed
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| cursor | integer | query | لا | مؤشر التمرير |
| tab | string | query | لا | تبويب |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/feed?cursor=SOME_INTEGER_VALUE&tab=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/feed?cursor=SOME_INTEGER_VALUE&tab=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/feed" querystring = {"cursor":"SOME_INTEGER_VALUE","tab":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/feed?cursor=SOME_INTEGER_VALUE&tab=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/feed?cursor=SOME_INTEGER_VALUE&tab=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/profile-activity نشاط الملف الشخصي
Profile Activity
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| profile_id | string | query | نعم | معرّف الملف الشخصي |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/profile-activity?profile_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/profile-activity?profile_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/profile-activity" querystring = {"profile_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/profile-activity?profile_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/profile-activity?profile_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/profile-posts مشاركات الملف الشخصي
Profile Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| profile_id | string | query | نعم | معرّف الملف الشخصي |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/profile-posts?profile_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/profile-posts?profile_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/profile-posts" querystring = {"profile_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/profile-posts?profile_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/profile-posts?profile_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/profile-public الملف الشخصي العام
Profile Public
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| handle | string | query | نعم | معرف المستخدم |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/profile-public?handle=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/profile-public?handle=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/profile-public" querystring = {"handle":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/profile-public?handle=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/profile-public?handle=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/reader-comment تعليق القارئ
Reader Comment
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| comment_id | string | query | نعم | معرّف التعليق |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/reader-comment?comment_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/reader-comment?comment_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/reader-comment" querystring = {"comment_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/reader-comment?comment_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/reader-comment?comment_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/reader-comment-replies ردود تعليقات القراء
Reader Comment Replies
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| comment_id | string | query | نعم | معرّف التعليق |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/reader-comment-replies?comment_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/reader-comment-replies?comment_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/reader-comment-replies" querystring = {"comment_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/reader-comment-replies?comment_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/reader-comment-replies?comment_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/reader-post مشاركة القارئ
Reader Post
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| post_id | string | query | نعم | معرّف المقال |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/reader-post?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/reader-post?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/reader-post" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/reader-post?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/reader-post?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-people البحث عن أشخاص
Search People
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| query | string | query | نعم | استعلام البحث |
| page | integer | query | لا | صفحة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/search-people?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/search-people?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/search-people" querystring = {"query":"SOME_STRING_VALUE","page":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/search-people?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/search-people?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-post البحث عن منشور
Search Post
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| query | string | query | نعم | استعلام البحث |
| page | integer | query | لا | صفحة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/search-post?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/search-post?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/search-post" querystring = {"query":"SOME_STRING_VALUE","page":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/search-post?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/search-post?query=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-top البحث الأعلى
Search Top
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| query | string | query | نعم | استعلام البحث |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/substack/v1/search-top?query=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/substack/v1/search-top?query=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/substack/v1/search-top" querystring = {"query":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/substack/v1/search-top?query=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/substack/v1/search-top?query=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح